---
lang: en
title: 'API docs: model-api-builder.modelapiconfig'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/model-api-builder
permalink: /doc/en/lb4/apidocs.model-api-builder.modelapiconfig.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/model-api-builder](./model-api-builder.md) &gt; [ModelApiConfig](./model-api-builder.modelapiconfig.md)

## ModelApiConfig type

Configuration settings for individual model files. This type describes content of `public-models/{model-name}.config.json` files.

**Signature:**

```typescript
export type ModelApiConfig = {
    model: typeof Model & {
        prototype: Model;
    };
    pattern: string;
    dataSource: string;
    [patternSpecificSetting: string]: unknown;
};
```

